function [X,Z,thetaX,ftrueX,ftrueZ,anomalXtrue,anomalZtrue]=generate_synthetic_data(p,n,pi_true,pH);

%--------------------------------------------------------------------------
% Training set
%--------------------------------------------------------------------------

% Generate anomalous sample (uniform)
[X,dummy]=hyperpmf_marg(.5*ones(1,p),n);
X=X>0;

% Generate nominal sample
thetaX=[pH*ones(1,ceil(p/2)) (1-pH)*ones(1,p-ceil(p/2)) ];
toss=rand(n,1);
nominal=find(toss>pi_true);
[X(nominal,:),dummy]=hyperpmf_marg(thetaX,length(nominal));

% Ground truth
anomalXtrue=toss<pi_true;
[dummy,ftrueX]=hyperpmf_marg(thetaX,X);

%--------------------------------------------------------------------------
% Test set
%--------------------------------------------------------------------------

% Generate anomalous sample:
[Z,dummy]=hyperpmf_marg(.5*ones(1,p),n);
Z=Z>0;

% Generate nominal sample:
toss=rand(n,1);
nominal=find(toss>pi_true);
[Z(nominal,:),dummy]=hyperpmf_marg(thetaX,length(nominal));

% Ground truth
anomalZtrue=toss<pi_true;
[dummy,ftrueZ]=hyperpmf_marg(thetaX,Z);

